package javacorba.CustService;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "/root/JBuilderProjects/JavaCorba/src/javacorba/Customer.idl"
 * <li> <b>IDL Name</b>      ::CustService::Customer
 * <li> <b>Repository Id</b> IDL:CustService/Customer:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Customer {
  ...
};
 * </pre>
 */
public abstract class CustomerPOA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, javacorba.CustService.CustomerOperations {

  public javacorba.CustService.Customer _this () {
   return javacorba.CustService.CustomerHelper.narrow(super._this_object());
  }

  public javacorba.CustService.Customer _this (org.omg.CORBA.ORB orb) {
    return javacorba.CustService.CustomerHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:CustService/Customer:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("AddCustomer", new int[] { 0, 0 });
    _methods.put("GetCustomer", new int[] { 0, 1 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return javacorba.CustService.CustomerPOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (javacorba.CustService.CustomerOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
      java.lang.String CustName;
      CustName = _input.read_string();
      int _result = _self.AddCustomer(CustName);
      _output = _handler.createReply();
      _output.write_long((int)_result);
      return _output;
    }
    case 1: {
      int CustId;
      CustId = _input.read_long();
      java.lang.String _result = _self.GetCustomer(CustId);
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
