/**
 * Copyright (c) 2003
 * Template File
 *   ServerFrame.java.template
 * IDL Object
 *   javacorba.CustService
 * Generation Date
 *   Sunday, April 27, 2003 6:05:11 AM CDT
 * IDL Source File
 *   /root/JBuilderProjects/JavaCorba/src/javacorba/Customer.idl
 * Abstract
 *   Server application frame which is the container for the Server Monitor.
 * @version 1.0
 */

package javacorba.CustService.server;

import java.awt.*;
import java.awt.event.*;

public class ServerFrame
    extends javax.swing.JFrame {

  BorderLayout borderLayout1 = new BorderLayout();
  ServerMonitor serverMonitor = new ServerMonitor();

  public ServerFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().setLayout(borderLayout1);
    this.setSize(new Dimension(600, 300));
    this.setTitle("CustService server");
    this.getContentPane().add(serverMonitor);
  }

  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
}
