/**
 * Copyright (c) 2003
 * Template File
 *   ServerMonitorPage.java.template
 * IDL Object
 *   javacorba.CustService
 * Generation Date
 *   Sunday, April 27, 2003 6:05:12 AM CDT
 * IDL Source File
 *   /root/JBuilderProjects/JavaCorba/src/javacorba/Customer.idl
 * Abstract
 *   Implements a Server Monitor page to display interface counters.
 * @version 1.0
 */

package javacorba.CustService.server;

import java.awt.*;

public class ServerMonitorPage
    extends javax.swing.JPanel {
  java.util.ResourceBundle res = java.util.ResourceBundle.getBundle(
      "javacorba.CustService.server.ServerResources");
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  GridLayout gridLayout1 = new GridLayout(1, 2, 3, 0);
  javax.swing.JPanel panelOuter1 = new javax.swing.JPanel();

  javax.swing.JPanel panelObjects1 = new javax.swing.JPanel();
  com.borland.dbswing.JdbLabel labelObjects1 = new com.borland.dbswing.JdbLabel();
  com.borland.dbswing.JdbTextField textObjects1 = new com.borland.dbswing.
      JdbTextField();
  int objectsCounter = 0;

  Object monitoredObject;

  public ServerMonitorPage(Object obj) {
    monitoredObject = obj;
    try {
      jbInit();
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    panelOuter1.setLayout(gridBagLayout1);
    panelObjects1.setLayout(gridLayout1);
    textObjects1.setEnabled(false);
    labelObjects1.setText(res.getString("numberObjects"));
    labelObjects1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
    panelObjects1.setVisible(false);
    panelObjects1.add(labelObjects1);
    panelObjects1.add(textObjects1);
    panelOuter1.add(panelObjects1,
                    new java.awt.GridBagConstraints(1, 2, 2, 1, 1.0, 1.0,
        java.awt.GridBagConstraints.NORTH,
                    java.awt.GridBagConstraints.HORIZONTAL,
                             new Insets(3, 0, 3, 3), 0, 0));

    add(panelOuter1);
  }

  public void showObjectCounter(boolean bVisible) {
    refresh();
    panelObjects1.setVisible(bVisible);
  }

  public synchronized void updateObjectCounter(int n) {
    objectsCounter += n;
    textObjects1.setText(String.valueOf(objectsCounter));
  }

  public void refresh() {
    textObjects1.setText(String.valueOf(objectsCounter));
  }
}
