package javacorba;

import javacorba.CustService.*;
import java.lang.*;
import java.util.*;
import org.omg.CORBA.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class CustomerClientApp {
  Vector custIDs;
  ORB orb;

  public CustomerClientApp(String[] args) {
      try {
          custIDs = new Vector();
          Properties prop = new Properties();
          prop.put("vbroker.agent.port","14000");
          prop.put("org.omg.CORBA.ORBClass","com.inprise.vbroker.orb.ORB");
          prop.put("org.omg.CORBA.ORBSingletonClass","com.inprise.vbroker.orb.ORB");

          // Create an initial instance of the ORB
          orb = ORB.init(args, prop);
          String _name = "Customer";

          javacorba.CustService.Customer custRef = javacorba.CustService.CustomerHelper.bind(orb,
              "/" + _name + "_poa", _name.getBytes());

            addCustomers(custRef);
      }
      catch (Exception e) {
          System.out.println("Exception occured while obtaining object reference  ") ;
          e.printStackTrace(System.out);
      }
  }
  public void addCustomers(Customer custRef) {
      try {
              // Add three customer names to the server's list.
              int custId = 0;
              custId = custRef.AddCustomer("John P Smith");
              custIDs.add(String.valueOf(custId));
              custId = custRef.AddCustomer("David Bayer");
              custIDs.add(String.valueOf(custId));
              custId = custRef.AddCustomer("Susan Blackwill");
              custIDs.add(String.valueOf(custId));

              // Now retrieve the customer names that were added earlier,
              // and display them to the screen.
              for (int i=0; i < custIDs.size(); i++) {
                  String custIdStr = (String)custIDs.get(i);
                  String custName = custRef.GetCustomer
                      (Integer.valueOf(custIdStr).intValue());
                  if ((custName != null) && (custName != "")) {
                      System.out.println("Customer "+custName
                              +" has customer id "+custIdStr);
                  }
              }
        }
        catch (Exception e) {
        System.out.println("ERROR : " + e) ;
              e.printStackTrace(System.out);
      }
  }
  public static void main(String[] args) {
        CustomerClientApp custClient = new CustomerClientApp(args);
  }

}