package javacorba;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import com.borland.cx.*;
// added manually - begin
import org.omg.CORBA.*;
import java.util.*;
// added manually - end

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class Frame1 extends JFrame {
  JPanel contentPane;
  XYLayout xYLayout1 = new XYLayout();
  JTextField jTextField1 = new JTextField();
  Label label1 = new Label();
  Button button1 = new Button();
  Button button2 = new Button();
  JList jList1 = new JList();
  Label label2 = new Label();
  OrbConnect orbConnect1 = new OrbConnect();
  CustomerClientImpl1 customerRef = new CustomerClientImpl1();

  ORB orb;

  //Construct the frame
  public Frame1(ORB newOrb) {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);

    orb = newOrb;

    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  //Component initialization
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(xYLayout1);
    this.setSize(new Dimension(419, 269));
    this.setTitle("Frame Title");
    jTextField1.setText("");
    label1.setText("Customer Name");
    button1.setLabel("Add Customer");
    button1.addActionListener(new Frame1_button1_actionAdapter(this));
    button2.setLabel("Get Customer List");
    label2.setText("Customer List");

    // added manually - begin
    orbConnect1.setOrb(orb);
    String name = "Customer";
    javacorba.CustService.Customer custIntRef =
        javacorba.CustService.CustomerHelper.bind(orb,
              "/" + name + "_poa", name.getBytes());
    customerRef.setCorbaInterface(custIntRef);
    // added manually - end

    customerRef.setORBConnect(orbConnect1);
    orbConnect1.setInitialize(true);
    contentPane.add(label1,      new XYConstraints(9, 45, 112, -1));
    contentPane.add(button2, new XYConstraints(10, 163, -1, -1));
    contentPane.add(button1, new XYConstraints(10, 127, 147, -1));
    contentPane.add(jTextField1, new XYConstraints(9, 75, 171, -1));
    contentPane.add(jList1, new XYConstraints(196, 75, 199, 146));
    contentPane.add(label2, new XYConstraints(196, 47, 98, -1));
  }
  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  void button1_actionPerformed(ActionEvent e) {
    if (jTextField1.getText().equals(""))
      return;
    customerRef.AddCustomer(jTextField1.getText());
  }
}

class Frame1_button1_actionAdapter implements java.awt.event.ActionListener {
  Frame1 adaptee;

  Frame1_button1_actionAdapter(Frame1 adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.button1_actionPerformed(e);
  }
}