import java.util.*;
import java.rmi.*;

public class RMIClient {
  CurrTime remoteServerTime;
  String remoteObjectServerName;
  String remoteObjectName = "ServerTimeObject";
  public RMIClient() {
  }
  public void getRemoteObject() {
    try {
      try {
        System.setSecurityManager(new RMISecurityManager());
        remoteObjectServerName = java.net.InetAddress.getLocalHost().getHostName();

        CurrTime remoteServerTime =
            (CurrTime) Naming.lookup("//" + remoteObjectServerName
                                     + "/" + remoteObjectName);
        String serverTimeStr = remoteServerTime.getCurrentTimeString();
        System.out.println("Server time obtained as string "+serverTimeStr);
        Calendar servTime = remoteServerTime.getCurrentTime();
        System.out.println("Server time obtained as Calendar object "
                           +servTime.getTime().toString());
        System.out.println("Setting server time...");
        Calendar localTime = Calendar.getInstance();
        remoteServerTime.setCurrentTime(localTime);
        System.out.println("Server time set successfully...");

        servTime = remoteServerTime.getCurrentTime();
        System.out.println("Updated Server time obtained as Calendar object "
                           +servTime.getTime().toString());
      }
      catch(Exception e) {
        System.out.println(e.getMessage());
      }
    }
    catch(Exception e) {
      System.out.println(e.getMessage());
    }
  }
  public static void main(String[] args) {
    RMIClient RMIClient1 = new RMIClient();
    RMIClient1.getRemoteObject();
  }
}
