package serialize;
import java.io.*;
import java.util.*;

public class ObjDeserialize {
  public ObjDeserialize() {
  }
  public static void main(String[] args) {
    ObjDeserialize objDeserialize1 = new ObjDeserialize();

    try {
      FileInputStream fstr = new FileInputStream("SerializedObject.ser");
      ObjectInputStream istr = new ObjectInputStream(fstr);
      ObjSerialize objSer = (ObjSerialize) istr.readObject();

      System.out.println("First Name : "+objSer.getFirstName());
      System.out.println("Middle Name : "+objSer.getMiddleName());
      System.out.println("Last Name : " + objSer.getLastName());
      System.out.println("Current Time : "+objSer.getCurrentTime().getTime());
      System.out.println("Object is successfully deserialized");
    }
    catch (ClassNotFoundException ioe) {
      ioe.printStackTrace();
    }
    catch (IOException ioe) {
      ioe.printStackTrace();
    }

    try {
      FileInputStream fstr = new FileInputStream("SelfSerializedObject.ser");
      ObjectInputStream istr = new ObjectInputStream(fstr);
      ObjSelfSerialize objSer = (ObjSelfSerialize) istr.readObject();

      System.out.println("First Name : "+objSer.getFirstName());
      System.out.println("Last Name : "+objSer.getLastName());
      System.out.println("Middle Name : " + objSer.getMiddleName());
      try {
        System.out.println("Current Time : " + objSer.getCurrentTime().getTime());
      }
      catch (NullPointerException npe) {
        System.out.println("Current time is null");
      }

      System.out.println("Object is successfully deserialized");
    }
    catch (ClassNotFoundException ioe) {
      ioe.printStackTrace();
    }
    catch (IOException ioe) {
      ioe.printStackTrace();
    }

  }
}
