package serialize;
import java.io.*;
import java.util.*;

public class ObjSelfSerialize implements Serializable {
  private String firstName;
  private String middleName;
  private String lastName;
  private Calendar currentTime;
  public ObjSelfSerialize() {
  }
  public void setFirstName(String fName) {
    firstName = fName;
  }
  public void setMiddleName(String mName) {
    middleName = mName;
  }
  public void setLastName(String lName) {
    lastName = lName;
  }
  public void setCurrentTime(Calendar cTime) {
    currentTime = cTime;
  }
  public String getFirstName() {
    return firstName;
  }
  public String getMiddleName() {
    return middleName;
  }
  public String getLastName() {
    return lastName;
  }
  public Calendar getCurrentTime() {
    return currentTime;
  }
  private void writeObject(ObjectOutputStream str) throws IOException {
    try {
//      str.defaultWriteObject();
      str.writeObject(firstName);
      str.writeObject(lastName);
    }
    catch (IOException ioe) {
      ioe.printStackTrace();
    }
  }
  private void readObject(ObjectInputStream str)
      throws IOException, ClassNotFoundException {
    try {
//      str.defaultReadObject();
      firstName = (String)str.readObject();
      lastName = (String)str.readObject();
    }
    catch (IOException ioe) {
      ioe.printStackTrace();
    }
  }
  public static void main(String[] args) {
    try {
      ObjSelfSerialize objSelfSerialize1 = new ObjSelfSerialize();
      objSelfSerialize1.setFirstName("Satya");
      objSelfSerialize1.setMiddleName("Sai");
      objSelfSerialize1.setLastName("Kolachina");
      objSelfSerialize1.setCurrentTime(Calendar.getInstance());
      FileOutputStream fstr = new FileOutputStream("SelfSerializedObject.ser");
      ObjectOutputStream ostr = new ObjectOutputStream(fstr);
      ostr.writeObject(objSelfSerialize1);
      System.out.println("Object is successfully Self-serialized");
    }
    catch (IOException ioe) {
      ioe.printStackTrace();
    }
  }
}