package udpsockets;
import java.io.*;
import java.net.*;
import java.util.*;

public class UDPClient {
  int port = 6040;
  public UDPClient() {
  }
  public void StartClient() {
    try {
      InetAddress inetAddr = InetAddress.getByName("localhost");
      DatagramSocket dgSocket = new DatagramSocket(port);
      System.out.println("Message reception started... ");

      byte buff[] = new byte[1000];
      String message;
      try {
        DatagramPacket dgPacket = new DatagramPacket(buff, buff.length);
        dgSocket.receive(dgPacket);
        while (dgPacket.getData().length > 0) {
          message = new String(dgPacket.getData(), 0, dgPacket.getLength());
          System.out.println(message);
          dgSocket.receive(dgPacket);
        }
      }
      catch (IOException iox) {
        System.out.println("IO Exception ...");
        System.exit(-1);
      }

    }
    catch (UnknownHostException sx) {
      System.out.println("Host unknown ...");
      System.exit(-1);
    }
    catch (SocketException sx) {
      System.out.println("Socket Exception ...");
      System.exit(-1);
    }
  }
  public static void main(String[] args) {
    UDPClient UDPClient1 = new UDPClient();
    UDPClient1.StartClient();
  }
}