
package javacorba.CustService;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "/root/JBuilderProjects/JavaCorba/src/javacorba/Customer.idl"
 * <li> <b>IDL Name</b>      ::CustService::Customer
 * <li> <b>Repository Id</b> IDL:CustService/Customer:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Customer {
  ...
};
 * </pre>
 */
public class CustomerPOATie extends CustomerPOA {
  private javacorba.CustService.CustomerOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public CustomerPOATie (final javacorba.CustService.CustomerOperations _delegate) {
    this._delegate = _delegate;
  }

  public CustomerPOATie (final javacorba.CustService.CustomerOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public javacorba.CustService.CustomerOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final javacorba.CustService.CustomerOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   long AddCustomer (in string CustName);
   * </pre>
   */
  public int AddCustomer (java.lang.String CustName) {
    return this._delegate.AddCustomer(CustName);
  }

  /**
   * <pre>
   *   string GetCustomer (in long CustId);
   * </pre>
   */
  public java.lang.String GetCustomer (int CustId) {
    return this._delegate.GetCustomer(CustId);
  }

}
