package CustService;

import java.lang.*;
import java.util.*;
import org.omg.CORBA.*;

class CustomerImpl extends CustomerPOA {
    private ORB orb;
    Properties custList;
    Random rand;

    public CustomerImpl(ORB newOrb) {
	  this.orb = newOrb;
	  custList = new Properties();
	  rand = new Random();
    }

    public int AddCustomer (String custName) {
	  int nextCustID = getNextCustID();
	  if (!custList.contains(String.valueOf(nextCustID))) {
	  	custList.put(String.valueOf(nextCustID), custName);
	  }
        return nextCustID;
    }
    public String GetCustomer (int custID) {
	  String custName = "";
        custName = (String)custList.get(String.valueOf(custID));
	  return custName;
    }

    private int getNextCustID() {
	  int nextCustID = rand.nextInt();
	  if (nextCustID < 0)
	      nextCustID = -nextCustID;
        return nextCustID;
    }
/*
    public static void main (String[] args) {
        CustomerImpl cust = new CustomerImpl(null);
	  cust.AddCustomer("Satya");
	  cust.AddCustomer("Parvathi");
	  cust.AddCustomer("Kamala");
	  cust.AddCustomer("Shilpa");
    }
*/
}
