package tcpsockets;
import java.io.*;
import java.util.*;
import java.net.*;

public class TCPServer {
  ServerSocket serverSock;
  Socket clientConnection;
  int port;
  public TCPServer() {
    port = 6800;
    try {
      serverSock = new ServerSocket(port);
      System.out.println("Started server module...");

      while (true) {
        System.out.println("Waiting for client connection requests...");
        // For every client connection accepted by the server, spawn a separate
        // thread to work with the client. The thread closes when the client
        // explicitly disconnects from the connection or sends a BYE message.
        clientConnection = serverSock.accept();
        int clientPort = clientConnection.getPort();
        String clientIP = clientConnection.getInetAddress().toString();
        System.out.println("Connection request accepted from client at IP address "
                           +clientIP+" and port "+clientPort);

        ServerThread newConnThread = new ServerThread(clientConnection);
        newConnThread.run();
      }
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }
  public static void main(String[] args) {
    System.out.println("Attempting to start the TCP server...");
    TCPServer TCPServer1 = new TCPServer();
  }
}